Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.database
Interface DatabaseCardService

All Superinterfaces:
  CardServiceInterface

All Known Implementing Classes:
  BasicDatabase

    public interface DatabaseCardService

extends CardServiceInterface

This interface defines the features that are necessary for a CardService to be able to access smartcards that provide database functionalities as defined by ISO 7816-7.

Since:
  OCF1.2
Version:
  $Id: DatabaseCardService.java,v 1.1 1999/12/06 15:46:05 damke Exp $
Author:
  HAMEL Arnaud, DANGREMONT Cedric, Christophe.Muller@research.gemplus.com

Nested Class Summary
`static interface` | `DatabaseCardService.Constants` The `Constants` inner interface allows to use standardized constants.

Method Summary
`void` | `begin()`
`void` | `commit()`
`void` | `createDictionary(java.lang.String dictionary)`
`void` | `createTable(java.lang.String tableName, java.lang.String columnsList, byte maxnumberOfRows, SecurityAttribute securityattribute)`
`void` | `createUser(java.lang.String userID, java.lang.String userProfile, SecurityAttribute securityattribute)`
`void` | `createView(java.lang.String viewName, java.lang.String tableName, java.lang.String colunmNames, java.lang.String conditions, SecurityAttribute securityattribute)`
`void` | `declareCursor(java.lang.String objectName, java.lang.String columnsName, java.lang.String conditions)`
`void` | `delete()`
`void` | `deleteUser(java.lang.String userID)`
`void` | `dropTable(java.lang.String tableName)`
`void` | `dropView(java.lang.String viewName)`
`java.lang.String[]` | `fetch()`
`java.lang.String[]` | `fetch(byte maxLength)`
`java.lang.String[]` | `fetchNext()`
`java.lang.String[]` | `fetchNext(byte maxLength)`
`void` | `grant(java.lang.String privileges, java.lang.String objectName, java.lang.String userID)`
`void` | `insert(java.lang.String tableName, java.lang.String values)`
`void` | `next()`
`void` | `open()`
`void` | `presentUser(java.lang.String userID)`
`void` | `presentUser(java.lang.String userID, SecurityAttribute securityAttribute)`
`void` | `revoke(java.lang.String privilege, java.lang.String objectName, java.lang.String userID)`
`void` | `rollback()`
`void` | `update(java.lang.String values)`

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Method Detail

### createTable

    void createTable(java.lang.String tableName,
                     java.lang.String columnsList,
                     byte maxnumberOfRows,
                     SecurityAttribute securityattribute)
                     throws CardTerminalException,
                            SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### createView

    void createView(java.lang.String viewName,
                    java.lang.String tableName,
                    java.lang.String colunmNames,
                    java.lang.String conditions,
                    SecurityAttribute securityattribute)
                    throws CardTerminalException,
                           SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### createDictionary

    void createDictionary(java.lang.String dictionary)
                          throws CardTerminalException,
                                 SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### dropTable

    void dropTable(java.lang.String tableName)
                   throws CardTerminalException,
                          SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### dropView

    void dropView(java.lang.String viewName)
                  throws CardTerminalException,
                         SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### grant

    void grant(java.lang.String privileges,
               java.lang.String objectName,
               java.lang.String userID)
               throws CardTerminalException,
                      SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### revoke

    void revoke(java.lang.String privilege,
                java.lang.String objectName,
                java.lang.String userID)
                throws CardTerminalException,
                       SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### declareCursor

    void declareCursor(java.lang.String objectName,
                       java.lang.String columnsName,
                       java.lang.String conditions)
                       throws CardTerminalException,
                              SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### open

    void open()
              throws CardTerminalException,
                     SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### next

    void next()
              throws CardTerminalException,
                     SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### fetch

    java.lang.String[] fetch(byte maxLength)
                             throws CardTerminalException,
                                    SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### fetchNext

    java.lang.String[] fetchNext(byte maxLength)
                                 throws CardTerminalException,
                                        SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### fetch

    java.lang.String[] fetch()
                             throws CardTerminalException,
                                    SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### fetchNext

    java.lang.String[] fetchNext()
                                 throws CardTerminalException,
                                        SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### insert

    void insert(java.lang.String tableName,
                java.lang.String values)
                throws CardTerminalException,
                       SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### update

    void update(java.lang.String values)
                throws CardTerminalException,
                       SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### delete

    void delete()
                throws CardTerminalException,
                       SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### begin

    void begin()
               throws CardTerminalException,
                      SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### commit

    void commit()
                throws CardTerminalException,
                       SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### rollback

    void rollback()
                  throws CardTerminalException,
                         SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### presentUser

    void presentUser(java.lang.String userID)
                     throws CardTerminalException,
                            SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### presentUser

    void presentUser(java.lang.String userID,
                     SecurityAttribute securityAttribute)
                     throws CardTerminalException,
                            SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### createUser

    void createUser(java.lang.String userID,
                    java.lang.String userProfile,
                    SecurityAttribute securityattribute)
                    throws CardTerminalException,
                           SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

### deleteUser

    void deleteUser(java.lang.String userID)
                    throws CardTerminalException,
                           SCQLException

  Throws:
    `CardTerminalException`
    `SCQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD